Skip to main content

Copies an event preset to another device

POST /v1/eventpreset/{eventPresetID}/copy/{newDeviceID}

Summary

Copies an event preset to another device.

Details

Copies the existing preset to the destination device after validating read access to the source preset and

write access to the destination device.

Authentication

No operation-level security requirement is documented here.

Parameters

NameInTypeRequiredDescriptionExample
eventPresetIDpathinteger (int64)YesThe ID of the source event preset.1
newDeviceIDpathinteger (int64)YesThe ID of the destination device.1

Request Body

No request body is documented here.

Responses

200

Success

application/json

  • key (integer (int64), optional)
  • eventPresetName (string, optional)
  • deviceID (integer (int64), optional)
  • deviceGroupID (integer (int64), optional)
  • agentTypeID (integer (int64), optional)
  • agentID (integer (int64), optional)
  • eventTypeID (integer (int64), optional)
  • eventStatus (integer (int64), optional)
  • eventParameters (string, optional)
  • processID (integer (int64), optional)
  • result (string, optional)
  • percentComplete (number (double), optional)
  • priority (integer (int64), optional)
  • expirationEpoch (integer (int64), optional)
  • attemptNumber (integer (int64), optional)
  • maxAttempts (integer (int64), optional)
  • tagString (string, optional)
  • tagNumber (integer (int64), optional)
  • creationDate (string (date-time), optional)

Example

{
"key": 1,
"eventPresetName": "Example value",
"deviceID": 201,
"deviceGroupID": 1,
"agentTypeID": 1,
"agentID": 1,
"eventTypeID": 1,
"eventStatus": 1,
"eventParameters": "{\"presetName\":\"Run Event Preset\"}",
"processID": 4321,
"result": "Example value",
"percentComplete": 42.5,
"priority": 1,
"expirationEpoch": 1711800000,
"attemptNumber": 1,
"maxAttempts": 3,
"tagString": "Example value",
"tagNumber": 1,
"creationDate": "2026-03-30T12:00:00.0000000Z"
}